Bug 1566816 - Creating a plan using access insights for large number of hosts does not work
Summary: Creating a plan using access insights for large number of hosts does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: RH Cloud - Insights
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Rex White
QA Contact: Katello QA List
URL:
Whiteboard: scale_lab
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 03:26 UTC by sbadhwar
Modified: 2019-09-26 14:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-07 20:39:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description sbadhwar 2018-04-13 03:26:43 UTC
Description of problem:
When trying to create a plan for a security vulnerability using Red Hat Access Insights for a large number of hosts(10K), the plan creation doesn't work, with UI not showing any message of a success/failure for the building of plan. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Click on the Overview Tab under Red Hat Access Insights Option
2. Click view security issues
3. Select any security vulnerability with Ansible mark highlighted
4. Select all hosts (10K or more)
5. Click on actions -> create a new plan/playbook
6. Fill in the name of the new plan
7. Click save
Actual results:
No action happen, and no plan/playbook is generated


Expected results:
A new plan is added and is visible under the planner


Additional info:
The foreman production log can be found at: http://file.blr.redhat.com/sbadhwar/production-redhat-access.log.zip

Comment 9 Bryan Kearney 2018-11-07 20:39:59 UTC
We believe this is fixd in satellite 6.4. If you are still seeing this issue, please open a new bug.


Note You need to log in before you can comment on or make changes to this bug.